package com.prolog.cs.biz.outbound.model.vo;

import com.prolog.cs.biz.outbound.model.BILL_STATUS;
import com.prolog.cs.biz.outbound.model.entity.WaveBillDO;
import com.prolog.framework.core.annotation.Column;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class WaveBillVO extends WaveBillDO implements Serializable {
    private static final long serialVersionUID = -3780366108557555826L;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totPcs;

    @ApiModelProperty(value = "总数量")
    private BigDecimal totQty;

    @ApiModelProperty(value = "包装数量")
    private BigDecimal containersNum;

    @ApiModelProperty(value = "总拼箱数")
    private BigDecimal totBoxNum;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totWeight;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totVolume;

    @ApiModelProperty(value = "商品列表")
    private List<WaveBillDVO> items;


    public BigDecimal getTotPcs() {
        return totPcs;
    }

    public void setTotPcs(BigDecimal totPcs) {
        this.totPcs = totPcs;
    }

    public BigDecimal getTotQty() {
        return totQty;
    }

    public void setTotQty(BigDecimal totQty) {
        this.totQty = totQty;
    }

    public BigDecimal getContainersNum() {
        return containersNum;
    }

    public void setContainersNum(BigDecimal containersNum) {
        this.containersNum = containersNum;
    }

    public BigDecimal getTotBoxNum() {
        return totBoxNum;
    }

    public void setTotBoxNum(BigDecimal totBoxNum) {
        this.totBoxNum = totBoxNum;
    }

    public BigDecimal getTotWeight() {
        return totWeight;
    }

    public void setTotWeight(BigDecimal totWeight) {
        this.totWeight = totWeight;
    }

    public BigDecimal getTotVolume() {
        return totVolume;
    }

    public void setTotVolume(BigDecimal totVolume) {
        this.totVolume = totVolume;
    }

    public List<WaveBillDVO> getItems() {
        return items;
    }

    public void setItems(List<WaveBillDVO> items) {
        this.items = items;
    }
}
